<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormSetNameController class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormSetNameController">GormSetNameController class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormSetNameController
        class
      </a></h1>
    <h2><a name="class$GormSetNameController">GormSetNameController</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormSetNameController.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormSetNameController_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormSetNameController.html#method$GormSetNameController-cancelHit$">-cancelHit:</a></li>
      <li><a rel="gsdoc" href="GormSetNameController.html#method$GormSetNameController-okHit$">-okHit:</a></li>
      <li><a rel="gsdoc" href="GormSetNameController.html#method$GormSetNameController-runAsModal">-runAsModal</a></li>
      <li><a rel="gsdoc" href="GormSetNameController.html#method$GormSetNameController-textField">-textField</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormSetNameController-cancelHit$">cancelHit:&nbsp;</a></h3>
    - (void) <b>cancelHit:</b> (id)sender;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormSetNameController-okHit$">okHit:&nbsp;</a></h3>
    - (void) <b>okHit:</b> (id)sender;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormSetNameController-runAsModal">runAsModal&nbsp;</a></h3>
    - (NSInteger) <b>runAsModal</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormSetNameController-textField">textField&nbsp;</a></h3>
    - (NSTextField*) <b>textField</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormSetNameController_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormSetNameController Class</h2>
    <h3><a name="ivariable$GormSetNameController*cancelButton">cancelButton</a></h3>
    @protected NSButton* <b>cancelButton</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormSetNameController*okButton">okButton</a></h3>
    @protected NSButton* <b>okButton</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormSetNameController*textField">textField</a></h3>
    @protected NSTextField* <b>textField</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormSetNameController*window">window</a></h3>
    @protected NSPanel* <b>window</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
